from saref_patterns import SAREF, check_patterns
from rdflib import Graph, Literal, RDF, RDFS, OWL

schema = {
    'description': 'The name of the commodity. Will be used as the local name of the IRI and the label',
    'title': 'label',
    'type': 'string'
}

def specialize(namespace, execution):
    g = Graph()
    g.add((namespace[execution], RDF.type, OWL.Class))
    g.add((namespace[execution], RDFS.subClassOf, SAREF.Commodity))
    g.add((namespace[execution], RDFS.label, Literal(execution, "en")))
    g.add((namespace[execution], RDFS.comment, Literal("A type of commodity", "en")))
    return g

if __name__ == "__main__":
    check_patterns(specialize, schema)
